## opencpn-plugin-climatology 1.3.4

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## Copyright:   
## License:     GPLv3+
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
cmake_policy(SET CMP0012 NEW)

PROJECT(climatology_pi)

SET(PACKAGE_NAME climatology_pi)
SET(VERBOSE_NAME Climatology)
SET(TITLE_NAME CLIMATOLOGY)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

SET(CMAKE_MACOSX_RPATH "ON")

SET(CMAKE_CXX_STANDARD 11)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_CLIMATOLOGY
            src/ClimatologyOverlayFactory.cpp
            src/climatology_pi.cpp
            src/ClimatologyUI.cpp
            src/ClimatologyDialog.cpp
            src/ClimatologyConfigDialog.cpp
            src/zuFile.cpp
            src/IsoBarMap.cpp
            src/icons.cpp
)

ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_CLIMATOLOGY})

IF(NOT UNIX)
    SET(SRC_BZIP
            src/bzip2/bzlib.c 
            src/bzip2/blocksort.c 
            src/bzip2/compress.c 
            src/bzip2/crctable.c 
            src/bzip2/decompress.c 
            src/bzip2/huffman.c 
            src/bzip2/randtable.c
    )
    ADD_LIBRARY(LIB_BZIP_CL STATIC ${SRC_BZIP})
    TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} LIB_BZIP_CL )

    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/buildwin/include)
    INCLUDE_DIRECTORIES(${PLUGIN_SOURCE_DIR}/src/bzip2)
ENDIF(NOT UNIX)


IF(WIN32)
  IF(MSVC)
    SET(OPENCPN_IMPORT_LIB "../../${CMAKE_CFG_INTDIR}/${PARENT}")
 	INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/buildwin/include)
    TARGET_LINK_LIBRARIES(${PACKAGE_NAME} "${CMAKE_SOURCE_DIR}/buildwin/zlib1.lib")
  ELSE()
    TARGET_LINK_LIBRARIES(${PACKAGE_NAME} "-lz")
  ENDIF()
ENDIF(WIN32)


INCLUDE("cmake/PluginJSON.cmake")
INCLUDE("cmake/PluginXML.cmake")
INCLUDE("cmake/PluginGL.cmake")

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-climatology (1.3.4-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 06:33:46 -0700

opencpn-plugin-climatology (1.3.4-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 06:14:31 -0700

opencpn-plugin-climatology (1.3.4-0~disco1) disco; urgency=low

  * Version v1.3.4

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 22:45:31 -0400

opencpn-plugin-climatology (1.3.2-0~disco1) disco; urgency=low

  * Version v1.3.2

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 22:00:09 -0400

opencpn-plugin-climatology (1.3.1-0~disco1) disco; urgency=low

  * Version v1.3.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 21:56:50 -0400

opencpn-plugin-climatology (1.3.3-0~cosmic1) cosmic; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.3-0~bionic1) bionic; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.3-0~xenial1) xenial; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.3-0~trusty1) trusty; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.2-0~xenial1) xenial; urgency=low

  * Version v1.3.2

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:26:30 -0400

opencpn-plugin-climatology (1.3.2-0~trusty1) trusty; urgency=low

  * Version v1.3.2

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:26:30 -0400

=== debian/control ===
Source: opencpn-plugin-climatology
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 9), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-climatology
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n, opencpn (>= 4.99.0), opencpn-plugin-climatology-data
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
